Package org.gradle.testing.jacoco.tasks

# Class JacocoCoverageVerification

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.testing.jacoco.tasks.JacocoBase
org.gradle.testing.jacoco.tasks.JacocoReportBase
org.gradle.testing.jacoco.tasks.JacocoCoverageVerification

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

@Incubating public class JacocoCoverageVerification extends JacocoReportBase
Task for verifying code coverage metrics. Fails the task if violations are detected based on specified rules.

Requires JaCoCo version >= 0.6.3.

Since:
  3.4

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`JacocoCoverageVerification()`

## Method Summary

Modifier and Type
Method
Description
`void`
`check()`
`JacocoViolationRulesContainer`
`getViolationRules()`
Returns the violation rules set for this task.
`JacocoViolationRulesContainer`
`violationRules(Action<? super JacocoViolationRulesContainer> configureAction)`
Configures the violation rules for this task.

### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoReportBase

`additionalClassDirs, additionalClassDirs, additionalSourceDirs, additionalSourceDirs, executionData, executionData, executionData, getAdditionalClassDirs, getAdditionalSourceDirs, getAllClassDirs, getAllSourceDirs, getAntBuilder, getClassDirectories, getExecutionData, getInstantiator, getSourceDirectories, setAdditionalClassDirs, setAdditionalSourceDirs, setClassDirectories, setExecutionData, setSourceDirectories, sourceSets`

### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoBase

`getJacocoClasspath, setJacocoClasspath`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JacocoCoverageVerification

public JacocoCoverageVerification()

## Method Details

### getViolationRules

public JacocoViolationRulesContainer getViolationRules()
Returns the violation rules set for this task.

Returns:
  Violation rules container

### violationRules

public JacocoViolationRulesContainer violationRules(Action<? super JacocoViolationRulesContainer> configureAction)
Configures the violation rules for this task.

### check

public void check()